gdnative-doc 0.0.6

Documentation tool for gdnative
Documentation
/**
  * prism.js theme, based on godot's documentation:
  * https://github.com/godotengine/godot-docs/blob/master/_static/css/custom.css
  * 
  * Adapted from prism's 'Dark theme' by Lea Verou
  * 
  * @author Arnaud Golfouse
  */

code[class*="language-"], pre[class*="language-"] {
	color: rgba(255, 255, 255, 0.85);
	background: none;
	font-size: 1em;
	text-align: left;
	white-space: pre;
	word-spacing: normal;
	word-break: normal;
	word-wrap: normal;
	line-height: 1.5;
	-moz-tab-size: 4;
	-o-tab-size: 4;
	tab-size: 4;
	-webkit-hyphens: none;
	-moz-hyphens: none;
	-ms-hyphens: none;
	hyphens: none;
}

@media print {
	code[class*="language-"], pre[class*="language-"] {
		text-shadow: none;
	}
}

pre[class*="language-"], :not(pre)>code[class*="language-"] {
	background: #202531;
}

/* Code blocks */

pre[class*="language-"] {
	padding: 1em;
	margin: .5em 0;
	overflow: auto;
	border: 1px solid grey;
}

/* Inline code */

.token.comment, .token.prolog, .token.doctype, .token.cdata {
	color: rgba(204, 206, 211, 0.5);
}

.token.number, .token.symbol {
	color: #a1ffe0;
}

.token.operator {
	color: #abc8ff;
}

.token.string {
	color: #ffeca1;
}

.token.keyword, .token.boolean, .token.constant {
	color: #ff7085;
}

.token.function, .token.tag {
	color: #57b3ff;
}

.token.type {
	color: #8effda;
}

/* type2 */

.token.class, .token.namespace, .token.variable {
	color: #c6ffed;
}

.token.property {
	color: #abc8ff;
}

.token.punctuation {
	opacity: .7;
}

.token.namespace {
	opacity: .7;
}

.token.important, .token.bold {
	font-weight: bold;
}

.token.italic {
	font-style: italic;
}

.token.entity {
	cursor: help;
}

.token.deleted {
	color: red;
}